
export class RdDActiveEffect extends ActiveEffect {

  async _preCreate(data, options, user) {
    await this.parent?.delayedRenderSheet('_preCreateEffect', data, options)
    return super._preCreate(data, options, user)
  }

  async _preUpdate(changed, options, user) {
    await this.parent?.delayedRenderSheet('_preUpdateEffect', changed, options)
    return super._preUpdate(changed, options, user)
  }

  async _preDelete(options, user) {
    await this.parent?.delayedRenderSheet('_preDeleteEffect', { id: this.id }, options)
    return super._preDelete(options, user)
  }

}